> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Integration Costs



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/integrations/costs/summary
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/integrations/costs/summary:
    get:
      tags:
        - integrations
      summary: Get Integration Costs
      operationId: get_integration_costs_v2_integrations_costs_summary_get
      parameters:
        - name: start_time
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: Start of time range (UTC)
            title: Start Time
          description: Start of time range (UTC)
        - name: end_time
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: End of time range (UTC)
            title: End Time
          description: End of time range (UTC)
        - name: interval
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/CostInterval'
            description: Aggregation interval
          description: Aggregation interval
        - name: project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid4
              - type: 'null'
            description: Optional project filter
            title: Project Id
          description: Optional project filter
        - name: run_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid4
              - type: 'null'
            description: Optional run / agent stream filter
            title: Run Id
          description: Optional run / agent stream filter
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationCostsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - ClassicAPIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    CostInterval:
      type: string
      enum:
        - hourly
        - daily
        - weekly
        - monthly
      title: CostInterval
    IntegrationCostsResponse:
      properties:
        features:
          items:
            $ref: '#/components/schemas/FeatureIntegrationCosts'
          type: array
          title: Features
      type: object
      title: IntegrationCostsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FeatureIntegrationCosts:
      properties:
        feature_name:
          type: string
          title: Feature Name
        total_cost:
          type: number
          title: Total Cost
          default: 0
        projects:
          items:
            $ref: '#/components/schemas/ProjectIntegrationCosts'
          type: array
          title: Projects
      type: object
      required:
        - feature_name
      title: FeatureIntegrationCosts
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProjectIntegrationCosts:
      properties:
        project_id:
          type: string
          format: uuid4
          title: Project Id
        project_name:
          type: string
          title: Project Name
        run_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Run Id
        total_cost:
          type: number
          title: Total Cost
          default: 0
        data_points:
          items:
            $ref: '#/components/schemas/IntegrationCostsDataPoint'
          type: array
          title: Data Points
      type: object
      required:
        - project_id
        - project_name
      title: ProjectIntegrationCosts
    IntegrationCostsDataPoint:
      properties:
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        cost:
          type: number
          title: Cost
      type: object
      required:
        - timestamp
        - cost
      title: IntegrationCostsDataPoint
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````